New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix compatibility with Redmine 3.3 #663

Merged
merged 1 commit into from Mar 27, 2017

Conversation

Projects
None yet
2 participants
@mnencia

mnencia commented Mar 25, 2017

This fixes the following error:

$ bundle install
Your Gemfile lists the gem redcarpet (~> 3.3.2) more than once.
You should probably keep only one of them.
While it's not a problem now, it could cause errors if you change the version of one of them later.

[!] There was an error parsing `Gemfile`:
[!] There was an error parsing `Gemfile`: You cannot specify the same gem twice with different version requirements.
You specified: rdoc (~> 4.3) and rdoc (>= 0). Bundler cannot continue.

 #  from /srv/redmine/redmine-3.3/plugins/redmine_git_hosting/Gemfile:31
 #  -------------------------------------------
 #  gem 'asciidoctor'
 >  gem 'rdoc'
 #
 #  -------------------------------------------
. Bundler cannot continue.

 #  from /srv/redmine/redmine-3.3/Gemfile:118
 #  -------------------------------------------
 #  Dir.glob File.expand_path("../plugins/*/{Gemfile,PluginGemfile}", __FILE__) do |file|
 >    eval_gemfile file
 #  end
 #  -------------------------------------------
Fix compatibility with Redmine 3.3
This fixes the following error:

```
$ bundle install
Your Gemfile lists the gem redcarpet (~> 3.3.2) more than once.
You should probably keep only one of them.
While it's not a problem now, it could cause errors if you change the version of one of them later.

[!] There was an error parsing `Gemfile`:
[!] There was an error parsing `Gemfile`: You cannot specify the same gem twice with different version requirements.
You specified: rdoc (~> 4.3) and rdoc (>= 0). Bundler cannot continue.

 #  from /srv/redmine/redmine-3.3/plugins/redmine_git_hosting/Gemfile:31
 #  -------------------------------------------
 #  gem 'asciidoctor'
 >  gem 'rdoc'
 #
 #  -------------------------------------------
. Bundler cannot continue.

 #  from /srv/redmine/redmine-3.3/Gemfile:118
 #  -------------------------------------------
 #  Dir.glob File.expand_path("../plugins/*/{Gemfile,PluginGemfile}", __FILE__) do |file|
 >    eval_gemfile file
 #  end
 #  -------------------------------------------
```

mnencia referenced this pull request Mar 27, 2017

@n-rodriguez n-rodriguez merged commit bd40324 into jbox-web:v1.2.x Mar 27, 2017

@n-rodriguez

This comment has been minimized.

Show comment
Hide comment
@n-rodriguez

n-rodriguez Mar 27, 2017

Member

Thank you!

Member

n-rodriguez commented Mar 27, 2017

Thank you!

@n-rodriguez n-rodriguez self-assigned this Mar 27, 2017

@n-rodriguez n-rodriguez added the bugfix label Mar 27, 2017

@n-rodriguez n-rodriguez added this to the v1.2.3 milestone Mar 27, 2017

@mnencia mnencia deleted the mnencia:patch-1 branch Mar 27, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment